summaryrefslogtreecommitdiff
path: root/build_tools
diff options
context:
space:
mode:
authortzafrir <tzafrir@5390a7c7-147a-4af0-8ec9-7488f05a26cb>2007-12-11 15:50:51 +0000
committertzafrir <tzafrir@5390a7c7-147a-4af0-8ec9-7488f05a26cb>2007-12-11 15:50:51 +0000
commit1c77aae941ce4a3d88119835b5359dc67d5d5e20 (patch)
tree53bc8b138a22fb9ab57825eaddd7117b05774764 /build_tools
parent46b3cc6d2d0f06aef9990b0856b7cad817fac510 (diff)
* uninstall-modules: put in build_tools, and remove language suffix.
* Close bug #11511. * Some other cleanups of uninstall-modules. Merged revisions 3420,3424 via svnmerge from http://svn.digium.com/svn/zaptel/branches/1.2 git-svn-id: http://svn.digium.com/svn/zaptel/branches/1.4@3425 5390a7c7-147a-4af0-8ec9-7488f05a26cb
Diffstat (limited to 'build_tools')
-rwxr-xr-xbuild_tools/uninstall-modules40
1 files changed, 40 insertions, 0 deletions
diff --git a/build_tools/uninstall-modules b/build_tools/uninstall-modules
new file mode 100755
index 0000000..5d984f0
--- /dev/null
+++ b/build_tools/uninstall-modules
@@ -0,0 +1,40 @@
+#!/bin/sh
+# uninstall-modules
+#
+# Remove all the modules passed in on the command line from the modules
+# directory. This script is called by the makefile.
+
+KERNEL_MODULES_DIR=$1
+shift
+MODULES="$*"
+
+usage() {
+ echo "$0: Used to delete kernel modules from the modules directory."
+ echo ""
+ echo "Usage:"
+ echo " $0 MODULES_BASE_DIR mod1 [mod2 [...]]"
+ echo ""
+ echo " MODULES_BASE_DIR - typically /lib/odules/KVERS"
+ echo " modN - (optinally partial) module name to remove."
+}
+
+if [ -z "$KERNEL_MODULES_DIR" ]; then
+ echo "Missing kernel module directory."
+ usage
+ exit 1;
+fi
+
+if [ -z "$MODULES" ]; then
+ echo "Missing one or more modules to delete."
+ usage
+ exit 1;
+fi
+for mod in $MODULES; do
+ for file in `cat $KERNEL_MODULES_DIR/modules.dep | cut -d : -f 1 | grep $mod`; do
+ if [ -e "$file" ]; then
+ echo "Deleting $file."
+ rm -f $file
+ fi
+ done
+done
+exit 0